Loading...
Searching...
No Matches
RDKit::MarvinCondition Class Reference

`#include <MarvinDefs.h>`

## Public Member Functions

std::string | toString () const
ptree | toPtree () const

## Public Attributes

std::string | id
std::string | text
double | x
double | y
double | fontScale = 0.0
std::string | halign
std::string | valign

## Detailed Description

Definition at line 84 of file MarvinDefs.h.

## Member Function Documentation

## toPtree()

ptree RDKit::MarvinCondition::toPtree | ( |  | ) | const

## toString()

std::string RDKit::MarvinCondition::toString | ( |  | ) | const

## Member Data Documentation

## fontScale

double RDKit::MarvinCondition::fontScale = 0.0

Definition at line 90 of file MarvinDefs.h.

## halign

std::string RDKit::MarvinCondition::halign

Definition at line 92 of file MarvinDefs.h.

## id

std::string RDKit::MarvinCondition::id

Definition at line 86 of file MarvinDefs.h.

## text

std::string RDKit::MarvinCondition::text

Definition at line 87 of file MarvinDefs.h.

## valign

std::string RDKit::MarvinCondition::valign

Definition at line 93 of file MarvinDefs.h.

## x

double RDKit::MarvinCondition::x

Definition at line 88 of file MarvinDefs.h.

## y

double RDKit::MarvinCondition::y

Definition at line 89 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h